import { useContext } from 'react';
import RSCContext from './RSCContext.js';
import SceneRSCContext from './SceneRSCContext.js';
var useRefetch = function (refetch) {
    var _a = useContext(RSCContext), setRefetch = _a.setRefetch, refetcher = _a.refetcher;
    var sceneRefetcher = useContext(SceneRSCContext);
    setRefetch(refetch);
    return function (scene) {
        if (scene === void 0) { scene = false; }
        return !scene ? refetcher() : sceneRefetcher();
    };
};
export default useRefetch;
