"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var RSCContext_js_1 = __importDefault(require("./RSCContext.js"));
var SceneRSCContext_js_1 = __importDefault(require("./SceneRSCContext.js"));
var useRefetch = function (refetch) {
    var _a = (0, react_1.useContext)(RSCContext_js_1.default), setRefetch = _a.setRefetch, refetcher = _a.refetcher;
    var sceneRefetcher = (0, react_1.useContext)(SceneRSCContext_js_1.default);
    setRefetch(refetch);
    return function (scene) {
        if (scene === void 0) { scene = false; }
        return !scene ? refetcher() : sceneRefetcher();
    };
};
exports.default = useRefetch;
